import React from 'react';

export const TRUSTPILOT_PROFILE_URL = {
  de: 'https://de.trustpilot.com/review/www.weltsparen.de',
  // IS routes .at requests to .de (This is why we see .de trustpilot data on .at)
  at: 'https://de.trustpilot.com/review/www.weltsparen.de',
  gb: 'https://uk.trustpilot.com/review/raisin.co.uk',
  en: 'https://www.trustpilot.com/review/www.raisin.com',
  fr: 'https://fr.trustpilot.com/review/www.raisin.fr',
  es: 'https://es.trustpilot.com/review/www.raisin.es',
  nl: 'https://nl.trustpilot.com/review/raisin.nl',
  ie: 'https://ie.trustpilot.com/review/raisin.ie',
};

export const TrustPilotIcon = () => (
  <svg viewBox="0 0 101 25" width="101px" height="25px">
    <g>
      <path d="M26.275 8.703H36.4v1.888h-3.98V21.21h-2.19V10.591h-3.962V8.703h.008zm9.691 3.45h1.872v1.748h.035c.062-.247.176-.485.344-.715.168-.23.37-.45.61-.635.237-.194.502-.344.793-.468a2.43 2.43 0 0 1 .892-.177c.23 0 .397.01.485.018.089.009.177.027.274.035v1.924a6.372 6.372 0 0 0-.433-.061 3.666 3.666 0 0 0-.432-.027c-.335 0-.653.07-.953.203-.3.133-.556.336-.777.592-.22.264-.397.582-.53.97-.132.389-.194.83-.194 1.333V21.2h-1.994v-9.046h.008zm14.475 9.056h-1.96v-1.262h-.034a2.72 2.72 0 0 1-1.095 1.094c-.485.274-.98.415-1.483.415-1.191 0-2.056-.291-2.586-.882-.53-.592-.794-1.483-.794-2.675v-5.745h1.995v5.551c0 .795.15 1.36.459 1.686.3.327.732.494 1.28.494.423 0 .767-.062 1.05-.194.282-.132.512-.3.68-.52.176-.212.3-.477.379-.777.08-.3.115-.627.115-.98v-5.252h1.994v9.047zm3.398-2.904c.062.583.283.989.662 1.227.389.23.848.353 1.386.353.185 0 .397-.017.636-.044.238-.026.467-.088.67-.168.212-.079.38-.203.521-.361.132-.16.194-.362.185-.618a.853.853 0 0 0-.282-.627 1.988 1.988 0 0 0-.67-.397 6.733 6.733 0 0 0-.936-.256c-.353-.07-.706-.15-1.068-.23-.371-.079-.733-.185-1.077-.3a3.288 3.288 0 0 1-.927-.476 2.096 2.096 0 0 1-.653-.76c-.168-.308-.247-.688-.247-1.147 0-.494.123-.9.362-1.235.238-.336.547-.6.909-.804.37-.203.776-.344 1.227-.432a7.47 7.47 0 0 1 1.288-.124c.468 0 .918.053 1.342.15.423.098.812.256 1.156.486.344.22.627.512.856.865.23.353.37.785.433 1.288h-2.083c-.097-.476-.31-.803-.653-.962-.345-.167-.742-.247-1.183-.247-.141 0-.31.01-.503.036-.194.026-.37.07-.547.132a1.187 1.187 0 0 0-.433.282.683.683 0 0 0-.176.486c0 .247.088.441.255.591.168.15.389.274.662.38.274.097.583.185.936.256.353.07.715.15 1.086.23.362.079.715.185 1.068.3.353.114.662.273.935.476.274.203.494.45.662.75.168.3.256.68.256 1.121 0 .538-.123.989-.37 1.368-.248.37-.565.68-.954.91-.388.229-.83.405-1.306.511a6.554 6.554 0 0 1-1.421.159 6.028 6.028 0 0 1-1.589-.194 3.868 3.868 0 0 1-1.262-.583 2.889 2.889 0 0 1-.838-.98c-.203-.388-.31-.856-.327-1.394h2.012v-.018zm6.585-6.151h1.509V9.435h1.995v2.719h1.8v1.491h-1.8v4.837c0 .212.008.388.026.547.018.15.062.283.124.388a.566.566 0 0 0 .29.239c.133.053.301.08.53.08.142 0 .283 0 .424-.01.141-.008.283-.026.424-.061v1.544c-.22.027-.441.044-.644.07a5.16 5.16 0 0 1-.645.036c-.53 0-.953-.053-1.27-.15-.319-.097-.574-.247-.751-.441a1.532 1.532 0 0 1-.37-.724 5.442 5.442 0 0 1-.115-.997v-5.34h-1.51v-1.51h-.017zm6.716 0h1.89v1.226h.034c.283-.53.671-.9 1.174-1.13a3.868 3.868 0 0 1 1.633-.344c.715 0 1.333.124 1.862.38.53.247.971.591 1.324 1.033.353.44.61.953.786 1.535.176.583.265 1.21.265 1.872 0 .609-.08 1.2-.239 1.765a4.725 4.725 0 0 1-.715 1.518 3.51 3.51 0 0 1-1.218 1.05c-.494.265-1.068.397-1.738.397-.292 0-.583-.026-.874-.08a3.846 3.846 0 0 1-.839-.255 3.027 3.027 0 0 1-.741-.45 2.796 2.796 0 0 1-.574-.636h-.035v4.52H67.14V12.153zm6.973 4.536c0-.406-.053-.803-.159-1.191a3.213 3.213 0 0 0-.477-1.024 2.429 2.429 0 0 0-.785-.715 2.202 2.202 0 0 0-1.086-.274c-.838 0-1.474.292-1.897.874-.424.583-.636 1.36-.636 2.33 0 .46.053.883.168 1.271.115.389.274.724.503 1.006.22.283.485.503.794.662.31.168.671.247 1.077.247.46 0 .839-.097 1.156-.282.318-.185.574-.432.777-.724.203-.3.353-.635.441-1.015.08-.38.124-.768.124-1.165zm3.522-7.987h1.994v1.888h-1.994V8.703zm0 3.45h1.994v9.056h-1.994v-9.055zm3.777-3.45h1.995v12.506h-1.995V8.703zm8.111 12.753c-.723 0-1.368-.123-1.933-.362a4.268 4.268 0 0 1-1.438-.988 4.304 4.304 0 0 1-.892-1.51 5.826 5.826 0 0 1-.309-1.923c0-.689.106-1.324.31-1.907a4.304 4.304 0 0 1 .89-1.51c.39-.423.875-.75 1.44-.988.564-.238 1.209-.362 1.932-.362.724 0 1.368.124 1.933.362a4.268 4.268 0 0 1 1.439.989c.388.423.688.927.891 1.51.203.582.31 1.217.31 1.906 0 .697-.107 1.341-.31 1.924a4.304 4.304 0 0 1-.891 1.509c-.388.424-.874.75-1.439.988-.565.239-1.209.362-1.933.362zm0-1.58c.442 0 .83-.097 1.157-.282a2.46 2.46 0 0 0 .803-.733c.212-.3.362-.644.468-1.023.097-.38.15-.768.15-1.165 0-.389-.053-.768-.15-1.157a3.02 3.02 0 0 0-.468-1.024 2.313 2.313 0 0 0-1.96-1.006c-.44 0-.83.097-1.156.283a2.535 2.535 0 0 0-.803.723c-.212.3-.362.636-.468 1.024-.097.389-.15.768-.15 1.157 0 .397.053.785.15 1.165a3.1 3.1 0 0 0 .468 1.023c.212.3.477.548.803.733.327.194.715.282 1.156.282zm5.155-7.722h1.51V9.435h1.994v2.719h1.8v1.491h-1.8v4.837c0 .212.009.388.026.547.018.15.062.283.124.388a.566.566 0 0 0 .291.239c.133.053.3.08.53.08.14 0 .282 0 .423-.01.142-.008.283-.026.424-.061v1.544c-.22.027-.441.044-.644.07a5.16 5.16 0 0 1-.645.036c-.53 0-.953-.053-1.27-.15-.318-.097-.574-.247-.75-.441A1.532 1.532 0 0 1 96.32 20a5.442 5.442 0 0 1-.115-.997v-5.34h-1.51v-1.51h-.017zm-82.7 5.242l5.215-1.35 2.19 6.725-7.406-5.375zm11.967-8.693h-9.144L11.977 0 9.153 8.703 0 8.693l7.405 5.376-2.824 8.702 7.396-5.375 4.572-3.318 7.396-5.375z" />
    </g>
  </svg>
);
